\begin{algorithm}[htbp]
	\SetKw{KwAnd}{and}
	\SetKwInOut{Input}{Entradas}
	\SetKwInOut{Output}{Salidas}
	\Input{El número $N$ de iteraciones máximas del algoritmo.}
	\Output{Una solución $S$ que será la mejor encontrada hasta un determinado punto.}
	\BlankLine
	\Begin{
		$S_0 :=$ \textsc{Generate\_Initial\_Solution}() \\
		$S := S_0$ \\
		\For{$n := 1$ \KwTo $N$}{
			$S_c :=$ \textsc{Generate\_Solution}($S_a$) \\
			\uIf{$C(S_c) < C(S)$}{
				$S := S_c$ \\
				$S_a := S_c$
			} \uElseIf{$C(S_c) < C(S_a)$} {
				$S_a := S_c$
			} \ElseIf{$C(S_c) > C(S_a)$ \KwAnd \textsc{Random}($S_{n-1}$) $ < e^{(C(S_a) - C(S_c)) / t}$} {
				$S_a := S_c$
			}
			\If {\textsc{Meeting\_Cooling\_Conditions()}} {
				\textsc{Cool\_System}()
			}
		}
	}
	\caption{\textsc{Temple Simulado}\label{alg:SA}}
\end{algorithm}